org.eclipse.rdf4j.query.parser.serql

## Class AnonymousVarGenerator

- java.lang.Object
- - org.eclipse.rdf4j.query.parser.serql.AbstractASTVisitor
  - - org.eclipse.rdf4j.query.parser.serql.AnonymousVarGenerator

- All Implemented Interfaces:
    SyntaxTreeBuilderVisitor

      public class AnonymousVarGenerator
      extends AbstractASTVisitor

  Inserts anonymous variables into the abstract syntax tree at places where such variables are already implicitly present.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `AnonymousVarGenerator()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Object` | `visit(ASTNode node, Object data)`
    `Object` | `visit(ASTReifiedStat node, Object data)`

    - ### Methods inherited from class org.eclipse.rdf4j.query.parser.serql.AbstractASTVisitor

      `visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### AnonymousVarGenerator

          public AnonymousVarGenerator()

  - ### Method Detail

    - #### visit

          public Object visit(ASTNode node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

    - #### visit

          public Object visit(ASTReifiedStat node,
                              Object data)
                       throws VisitorException

      Specified by:
        `visit` in interface `SyntaxTreeBuilderVisitor`
      Overrides:
        `visit` in class `AbstractASTVisitor`
      Throws:
        `VisitorException`

Copyright © 2015-2020 Eclipse Foundation. All Rights Reserved.